=== debian/changelog ===
ros-kinetic-rospilot (1.4.1-0xenial) xenial; urgency=high

  * Switch to HTTPS for openstreetmap.org
  * Workaround camera drivers that don't set keyframe flag
  * Add support for reading raw YUV from camera
  * Refactor pixel format handling
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sat, 10 Mar 2018 08:00:00 -0000

ros-kinetic-rospilot (1.4.0-0xenial) xenial; urgency=high

  * Add "follow me" mode
  * Add support for direct h264 capture from camera
  * Improve automatic camera selection
  * Add vibration data to display
    Also includes accelerometer clipping counts
  * Add support for battery voltage monitoring
  * Enable pre-release tests
  * Add Travis integration
  * Refactor handling of NPM dependencies
  * Add native Systemd service
  * Set dns search domain for better compatibility
  * Update wifi setup script with proper dnsmasq dependency
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sun, 19 Nov 2017 08:00:00 -0000

ros-kinetic-rospilot (1.3.8-0xenial) xenial; urgency=high

  * Remove dependency on nodejs-legacy
    Also remove usage of vendored npm version
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Wed, 13 Sep 2017 07:00:00 -0000

ros-kinetic-rospilot (1.3.7-0xenial) xenial; urgency=high

  * Update for newest NPM
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sat, 10 Jun 2017 07:00:00 -0000

ros-kinetic-rospilot (1.3.6-0xenial) xenial; urgency=high

  * Add support for Pixhawk2.1
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Mon, 29 May 2017 07:00:00 -0000

ros-kinetic-rospilot (1.3.5-0xenial) xenial; urgency=high

  * Add missing include needed on Debian
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sun, 12 Mar 2017 08:00:00 -0000

ros-kinetic-rospilot (1.3.4-0xenial) xenial; urgency=high

  * Rescale PTS properly
  * Fix usage of deprecated API
  * Fix usage of invalid iterator
  * Add more logging to camera node
  * Fix data structure corruption due to race
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Wed, 08 Mar 2017 08:00:00 -0000

ros-kinetic-rospilot (1.3.3-0xenial) xenial; urgency=high

  * Fix build on Debian
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Wed, 24 Aug 2016 07:00:00 -0000

ros-kinetic-rospilot (1.3.2-0xenial) xenial; urgency=high

  * Support building on Debian
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Wed, 24 Aug 2016 07:00:00 -0000

ros-kinetic-rospilot (1.3.1-0xenial) xenial; urgency=high

  * Fix build on Wily
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sun, 21 Aug 2016 07:00:00 -0000

ros-kinetic-rospilot (1.3.0-0xenial) xenial; urgency=high

  * Initialize source frame data structure
  * Update init script to Kinetic
  * Set CherryPy to production instead of manually configuring it
  * Use npm for build
  * Use more canonical license string
  * Fix scoping in set waypoint callback
  * Improve mavlink wait logic to be interruptable
  * Fix retry logic for serial mavlink
  * Migrate to Angular 2.0
  * Add timeout to waypoint fetching
    Previously, if a message was lost waypoints would no longer be fetched
    and new ones could not be set
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sat, 20 Aug 2016 07:00:00 -0000

ros-kinetic-rospilot (1.2.0-0xenial) xenial; urgency=high

  * Add people detector using OpenCV
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sat, 14 May 2016 07:00:00 -0000

ros-kinetic-rospilot (1.1.1-0xenial) xenial; urgency=high

  * Copy files to /etc as part of setup script instead of package install
  * Fix warnings and installation of mapnik files
  * Add missing python-serial dependency
  * Cleanup linking of libturbojpeg
    This should fix compiling on other platforms like x86_32
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sun, 31 Jan 2016 08:00:00 -0000

ros-kinetic-rospilot (1.1.0-0xenial) xenial; urgency=high

  * Auto-detect camera device path
  * Improve video streaming FPS ~2x
  * Add support for hardware h264 acceleration on Odroid XU4
  * Add FPS counter to camera page
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Mon, 18 Jan 2016 08:00:00 -0000

ros-kinetic-rospilot (1.0.3-0xenial) xenial; urgency=high

  * Fix race freeing background image sink resources
  * Fix bad free on older versions of libav
  * Improve formatting of first_time_setup.sh output
  * Update readme
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sun, 23 Aug 2015 07:00:00 -0000

ros-kinetic-rospilot (1.0.2-0xenial) xenial; urgency=high

  * Remove unnecessary imports
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Wed, 12 Aug 2015 07:00:00 -0000

ros-kinetic-rospilot (1.0.1-0xenial) xenial; urgency=high

  * Fix compilation error on vivid and utopic
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sun, 09 Aug 2015 07:00:00 -0000

ros-kinetic-rospilot (1.0.0-0xenial) xenial; urgency=high

  * Switch to H264 codec for streaming and recording
  * Fix a variety of minor bugs
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sat, 08 Aug 2015 07:00:00 -0000

ros-kinetic-rospilot (0.2.5-0xenial) xenial; urgency=high

  * Tune MFC encoder parameters
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sun, 31 May 2015 07:00:00 -0000

ros-kinetic-rospilot (0.2.4-0xenial) xenial; urgency=high


